% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils-geometry.R
\name{arrow_points}
\alias{arrow_points}
\title{Calculate Arrow Head Points}
\usage{
arrow_points(x, y, angle, size, width = 0.5, x_scale = 1, y_scale = 1)
}
\arguments{
\item{x, y}{Arrow tip position.}

\item{angle}{Angle of incoming edge (radians).}

\item{size}{Arrow size.}

\item{width}{Arrow width ratio (default 0.5).}

\item{x_scale, y_scale}{Aspect ratio correction factors.}
}
\value{
List with arrow polygon coordinates and midpoint for line connection.
}
\description{
Calculate Arrow Head Points
}
\keyword{internal}
